BC Math Functions
bccomp
BC Math Functions
PHP Manual

# bcadd

Add two arbitrary precision numbers

### Description

string bcadd ( string `$left_operand` , string `$right_operand` [, int `$scale` ] )

Sums `left_operand` and `right_operand`.

### Parameters

`left_operand`

  The left operand, as a string.

`right_operand`

  The right operand, as a string.

`scale`

  This optional parameter is used to set the number of digits after the decimal place in the result. You can also set the global default scale for all functions by using bcscale.

### Return Values

The sum of the two operands, as a string.

### Examples

Example #1 bcadd example

`<?php
$a = '1.234';
$b = '5';
echo bcadd($a, $b); // 6
echo bcadd($a, $b, 4); // 6.2340
?>`

### See Also

- bcsub